<?php


namespace App\Form;

use App\Repository\TopicRepository;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;

class StartType extends AbstractType
{
    const TOPICS_ALL = "all";

    private TopicRepository $topicRepository;

    public function __construct(TopicRepository $topicRepository)
    {
        $this->topicRepository = $topicRepository;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);
        $builder->add('target_topic', ChoiceType::class, [
            'choices' => array_merge([self::TOPICS_ALL], $this->topicRepository->findAllLabels()),
            'label' => 'Choose a topic'
        ]);
    }
}